GNU bug report logs - #32575
[Cuirass] Filter results by architecture

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Ricardo Wurmus <rekado@HIDDEN>; dated Wed, 29 Aug 2018 13:56:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 32575 <at> debbugs.gnu.org:


Received: (at 32575) by debbugs.gnu.org; 31 Aug 2018 19:56:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 31 15:56:43 2018
Received: from localhost ([127.0.0.1]:41070 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fvpX9-0006u1-7D
	for submit <at> debbugs.gnu.org; Fri, 31 Aug 2018 15:56:43 -0400
Received: from sender-of-o51.zoho.com ([135.84.80.216]:21124)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1fvpX6-0006ts-Ue
 for 32575 <at> debbugs.gnu.org; Fri, 31 Aug 2018 15:56:41 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1535616561; cv=none; d=zoho.com; s=zohoarc; 
 b=orY1Rt0mTuAufSnlaZM42mVtuc4i4Dxp3G27yVsNkYNauAKpH0G4k9IfWpVRJ8tfiyJ7bFO6foNGKhJ3ArbJ7tpkl+/j46TRUCv0zCJBL8qIE9UBP+/fNLeFFnQB6CmNs9gfugfyzBfY+FP6DcOB9CqX9gH1o/egm41ByUIEdS0=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1535616561;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=0q2FSTJrFwjYY/AGGDpSuEW/980ilVF1HeWJ/un9Psw=; 
 b=hqgCaZB93mhs0QwcYLiZqyU5kxn0Tw/GvkKf3LCCLgNhmUWa//rDbu0XdJMDWDfm3OtQyAmOUBSBYu7/cgemkjG0K2frssh9FcBy4oXo1eFjsPZbeu+VxlSxxbIPM1wc9WywP0b3auMYlzRzgihqoPRZBHvC2ic1RBXl2SoEOE0=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1535616561; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=1572; bh=0q2FSTJrFwjYY/AGGDpSuEW/980ilVF1HeWJ/un9Psw=;
 b=XJBHFq0ODch8Ywdh953TF83VjBiP3Zz0QZbsOGNmP6dXwyiuE90k0FEA7lZe65ZR
 uje5HEwTLonctxrqcdRo8SaLTNM0Gk3fOYdk8E2DPs4ZcyRYRAG/TnqXCrDE8JTU7LH
 T/PHfiUBBawp/3aLwmVWDdxvO36qIc6jjVXM2T3Y=
Received: from localhost (port-92-200-120-10.dynamic.qsc.de [92.200.120.10])
 by mx.zohomail.com with SMTPS id 1535616561434288.0030370331167;
 Thu, 30 Aug 2018 01:09:21 -0700 (PDT)
References: <87a7p5b7x3.fsf@HIDDEN> <877ek8dhkm.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: Joshua Branson <jbranso@HIDDEN>
Subject: Re: bug#32575: [Cuirass] Filter results by architecture
In-reply-to: <877ek8dhkm.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Thu, 30 Aug 2018 10:09:17 +0200
Message-ID: <87r2ig9sya.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32575
Cc: 32575 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hi Joshua,

> Ricardo Wurmus <rekado@HIDDEN> writes:
>
>> The Cuirass web interface shows the number of successful, failed, and
>> pending builds for each evaluation.  Looking at just these numbers it is
>> impossible to tell, how each of the supported architectures is affected.
>>
>> It would be good if we could separate the view by architecture.  Then we
>> could more easily determine that a change broke many builds for one
>> architecture while fixing builds on another.
>>
>> One way to do this would be to accept an optional query variable, e.g.
>>
>>     http://ci.guix.info/jobset/guix-master?system=3Dx86_64-linux
>
> That is an option.  Another one is using a REST API.  It seems to have
> all the hype these days.  So the URL would turn into:
>
>      http://ci.guix.info/jobset/guix-master/system/x86_64-linux
>
> Though I freely admit, I don't completely understand the benefits of REST.

REST doesn=E2=80=99t quite apply here, because we only use GET =E2=80=94 th=
e Cuirass web
interface is read-only.  A big part of REST is to use HTTP verbs in an
appropriate manner and keep the URLs as resource identifiers the same
for all verbs.

What you refer to is the related trend to using Clean URLs:

    https://en.wikipedia.org/wiki/Clean_URL

These are often used with a RESTful API.

I think that filtering of a dynamic resource could very well be done
with a GET query string.  A Clean URL would make more sense for
something that doesn=E2=80=99t change as quickly (e.g. a particular product=
 in a
catalogue).

--
Ricardo





Information forwarded to bug-guix@HIDDEN:
bug#32575; Package guix. Full text available.

Message received at 32575 <at> debbugs.gnu.org:


Received: (at 32575) by debbugs.gnu.org; 31 Aug 2018 18:35:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 31 14:35:37 2018
Received: from localhost ([127.0.0.1]:40950 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fvoGe-0004vm-MG
	for submit <at> debbugs.gnu.org; Fri, 31 Aug 2018 14:35:36 -0400
Received: from mail.lassieur.org ([83.152.10.219]:53514)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement@HIDDEN>) id 1fvoGc-0004vc-9a
 for 32575 <at> debbugs.gnu.org; Fri, 31 Aug 2018 14:35:34 -0400
Received: from rodion (192.168.0.254 [192.168.0.254])
 by mail.lassieur.org (OpenSMTPD) with ESMTPSA id 9694a223
 (TLSv1.2:ECDHE-RSA-CHACHA20-POLY1305:256:NO); 
 Fri, 31 Aug 2018 18:32:59 +0000 (UTC)
References: <87a7p5b7x3.fsf@HIDDEN>
 <20180830114135.3226977f@HIDDEN> <87efegxd9s.fsf@HIDDEN>
 <877ek8m316.fsf@HIDDEN> <87va7rsifm.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: =?utf-8?Q?Cl=C3=A9ment?= Lassieur <clement@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#32575: [Cuirass] Filter results by architecture
In-reply-to: <87va7rsifm.fsf@HIDDEN>
Date: Fri, 31 Aug 2018 20:35:32 +0200
Message-ID: <87r2ietmdn.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 32575
Cc: 32575 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

>> CREATE TABLE Builds (
>>   derivation    TEXT NOT NULL PRIMARY KEY,
>>   evaluation    INTEGER NOT NULL,
>>   job_name      TEXT NOT NULL,
>>   system        TEXT NOT NULL,
>>   nix_name      TEXT NOT NULL,
>>   log           TEXT NOT NULL,
>>   status        INTEGER NOT NULL,
>>   timestamp     INTEGER NOT NULL,
>>   starttime     INTEGER NOT NULL,
>>   stoptime      INTEGER NOT NULL,
>>   FOREIGN KEY (evaluation) REFERENCES Evaluations (id)
>> );
>>
>> We even have the 'system' column, so to me we have everything we need,
>> and we could display on one line all the builds that have the same
>> 'nix_name' for a given evaluation.
>
> Hmm, probably, indeed (though =E2=80=98nix_name=E2=80=99 is meant as hint=
, not as a
> key.)
>
> Right now, build-aux/hydra/*.scm returns a list of jobs like this:
>
>   (hello-2.10.x86_64-linux
>     (derivation
>       .
>       "/gnu/store/2dl7n4l0l0vjzpjnv67fbb7vf24kw0ap-hello-2.10.drv")
>     (description =E2=80=A6)
>     (long-description =E2=80=A6)
>     (license =E2=80=A6)
>     (home-page =E2=80=A6)
>     (maintainers "bug-guix@HIDDEN")
>     (max-silent-time . 3600)
>     (timeout . 72000))
>   ;; =E2=80=A6 likewise for =E2=80=98hello.i686-linux=E2=80=99, etc.
>
> My proposal would be for build-aux/hydra/*.scm to return jobs that look
> like this:
>
>   (hello-2.10     ; <- no special naming convention
      ^
This is 'nix-name' (which is 'derivation-name')

>     (derivations
>       .
>       (("x86_64-linux" . /gnu/store/=E2=80=A6-hello-2.10.drv")
>        ("i686-linux" . /gnu/store/=E2=80=A6-hello-2.10.drv")))
              ^
This is 'system' (which is 'derivation-system')

>     (description =E2=80=A6)
>     (long-description =E2=80=A6)
>     (license =E2=80=A6)
>     (home-page =E2=80=A6)
>     (maintainers "bug-guix@HIDDEN")
>     (max-silent-time . 3600)
>     (timeout . 72000))

So everything is already in the derivations that are in Cuirass.  Why
would we need to change the interface with the evaluator
(build-aux/hydra/*.scm)?

Cl=C3=A9ment

> Conceptually, that models the situation better, IMO.
>
> But like you write, we probably already have everything to do something
> along the lines of what Danny proposed.  The change above can come later
> (it would be incompatible with Hydra, too.)
>
> Thoughts?
>
> Ludo=E2=80=99.





Information forwarded to bug-guix@HIDDEN:
bug#32575; Package guix. Full text available.

Message received at 32575 <at> debbugs.gnu.org:


Received: (at 32575) by debbugs.gnu.org; 30 Aug 2018 20:34:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 30 16:34:02 2018
Received: from localhost ([127.0.0.1]:39469 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fvTdg-0003pz-8r
	for submit <at> debbugs.gnu.org; Thu, 30 Aug 2018 16:34:02 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45689)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1fvTdd-0003ph-9P
 for 32575 <at> debbugs.gnu.org; Thu, 30 Aug 2018 16:33:57 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1fvTdX-0004c5-4e
 for 32575 <at> debbugs.gnu.org; Thu, 30 Aug 2018 16:33:52 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:57583)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1fvTdW-0004bq-Uc; Thu, 30 Aug 2018 16:33:51 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=52706 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1fvTdW-0005mY-Mg; Thu, 30 Aug 2018 16:33:50 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: =?utf-8?Q?Cl=C3=A9ment?= Lassieur <clement@HIDDEN>
Subject: Re: bug#32575: [Cuirass] Filter results by architecture
References: <87a7p5b7x3.fsf@HIDDEN>
 <20180830114135.3226977f@HIDDEN> <87efegxd9s.fsf@HIDDEN>
 <877ek8m316.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 13 Fructidor an 226 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 30 Aug 2018 22:33:49 +0200
In-Reply-To: <877ek8m316.fsf@HIDDEN> (=?utf-8?Q?=22Cl=C3=A9ment?=
 Lassieur"'s message of "Thu, 30 Aug 2018 14:50:45 +0200")
Message-ID: <87va7rsifm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32575
Cc: Ricardo Wurmus <rekado@HIDDEN>,
 Danny Milosavljevic <dannym@HIDDEN>, 32575 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Cl=C3=A9ment Lassieur <clement@HIDDEN> skribis:

> Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

[...]

>> Perhaps what we would need is to internally change how jobs are
>> represented in the database: we could have one job, =E2=80=9Chello=E2=80=
=9D, connected
>> to one or more =E2=80=9Cbuilds=E2=80=9D, each with its own system.
>>
>> I think it would amount to splitting the =E2=80=9CBuilds=E2=80=9D table =
into two tables:
>> =E2=80=9CBuilds=E2=80=9D and =E2=80=9CJobs=E2=80=9D.  Cl=C3=A9ment, does=
 that make sense?
>
> The 'job' word already has a meaning in Cuirass: it is the thing that is
> returned from the evaluation.  For example, if Cuirass builds foo and
> bar for x86_64 and i686, there will be exactly 4 jobs produced at each
> evaluation :
>
>  - foo.x86_64-linux=20=20=20=20=20
>  - foo.i686-linux=20=20=20=20=20=20=20
>  - bar.x86_64-linux=20=20=20=20=20
>  - bar.i686-linux=20=20=20=20=20=20=20

Yes.

> CREATE TABLE Builds (
>   derivation    TEXT NOT NULL PRIMARY KEY,
>   evaluation    INTEGER NOT NULL,
>   job_name      TEXT NOT NULL,
>   system        TEXT NOT NULL,
>   nix_name      TEXT NOT NULL,
>   log           TEXT NOT NULL,
>   status        INTEGER NOT NULL,
>   timestamp     INTEGER NOT NULL,
>   starttime     INTEGER NOT NULL,
>   stoptime      INTEGER NOT NULL,
>   FOREIGN KEY (evaluation) REFERENCES Evaluations (id)
> );
>
> We even have the 'system' column, so to me we have everything we need,
> and we could display on one line all the builds that have the same
> 'nix_name' for a given evaluation.

Hmm, probably, indeed (though =E2=80=98nix_name=E2=80=99 is meant as hint, =
not as a
key.)

Right now, build-aux/hydra/*.scm returns a list of jobs like this:

  (hello-2.10.x86_64-linux
    (derivation
      .
      "/gnu/store/2dl7n4l0l0vjzpjnv67fbb7vf24kw0ap-hello-2.10.drv")
    (description =E2=80=A6)
    (long-description =E2=80=A6)
    (license =E2=80=A6)
    (home-page =E2=80=A6)
    (maintainers "bug-guix@HIDDEN")
    (max-silent-time . 3600)
    (timeout . 72000))
  ;; =E2=80=A6 likewise for =E2=80=98hello.i686-linux=E2=80=99, etc.

My proposal would be for build-aux/hydra/*.scm to return jobs that look
like this:

  (hello-2.10     ; <- no special naming convention
    (derivations
      .
      (("x86_64-linux" . /gnu/store/=E2=80=A6-hello-2.10.drv")
       ("i686-linux" . /gnu/store/=E2=80=A6-hello-2.10.drv")))
    (description =E2=80=A6)
    (long-description =E2=80=A6)
    (license =E2=80=A6)
    (home-page =E2=80=A6)
    (maintainers "bug-guix@HIDDEN")
    (max-silent-time . 3600)
    (timeout . 72000))

Conceptually, that models the situation better, IMO.

But like you write, we probably already have everything to do something
along the lines of what Danny proposed.  The change above can come later
(it would be incompatible with Hydra, too.)

Thoughts?

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#32575; Package guix. Full text available.

Message received at 32575 <at> debbugs.gnu.org:


Received: (at 32575) by debbugs.gnu.org; 30 Aug 2018 12:50:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 30 08:50:49 2018
Received: from localhost ([127.0.0.1]:38035 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fvMPR-0006qQ-3w
	for submit <at> debbugs.gnu.org; Thu, 30 Aug 2018 08:50:49 -0400
Received: from mail.lassieur.org ([83.152.10.219]:53426)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement@HIDDEN>) id 1fvMPQ-0006qI-34
 for 32575 <at> debbugs.gnu.org; Thu, 30 Aug 2018 08:50:48 -0400
Received: from newt (smtp.parrot.biz [62.23.167.188])
 by mail.lassieur.org (OpenSMTPD) with ESMTPSA id 2bef8421
 (TLSv1.2:ECDHE-RSA-CHACHA20-POLY1305:256:NO); 
 Thu, 30 Aug 2018 12:48:26 +0000 (UTC)
References: <87a7p5b7x3.fsf@HIDDEN>
 <20180830114135.3226977f@HIDDEN> <87efegxd9s.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: =?utf-8?Q?Cl=C3=A9ment?= Lassieur <clement@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#32575: [Cuirass] Filter results by architecture
In-reply-to: <87efegxd9s.fsf@HIDDEN>
Date: Thu, 30 Aug 2018 14:50:45 +0200
Message-ID: <877ek8m316.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 32575
Cc: Ricardo Wurmus <rekado@HIDDEN>,
 Danny Milosavljevic <dannym@HIDDEN>, 32575 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hi Danny & all,
>
> Danny Milosavljevic <dannym@HIDDEN> skribis:
>
>> I think that for a portable package, the architecture it runs on is
>> an implementation detail - it should build on all of them.  If it doesn'=
t,
>> that should show up as an error.
>>
>> So I had
>>
>>   hello      [x86_64-checkbox-log] [armhf-checkbox-log] [aarch64-checkbo=
x-log]
>>
>> and not
>>
>>   hello.x86_64 [checkbox-log]
>>   hello.armhf [checkbox-log]
>>   hello.aarch64 [checkbox-log]
>>
>> The latter looks more like these are different packages with different p=
urposes -
>> which they really aren't from a user standpoint.
>
> The difficulty is that, from Cuirass=E2=80=99 viewpoint, =E2=80=9Chello.x=
86_64-linux=E2=80=9D
> and =E2=80=9Chello.armhf-linux=E2=80=9D are just two different unrelated =
jobs.
>
> Perhaps what we would need is to internally change how jobs are
> represented in the database: we could have one job, =E2=80=9Chello=E2=80=
=9D, connected
> to one or more =E2=80=9Cbuilds=E2=80=9D, each with its own system.
>
> I think it would amount to splitting the =E2=80=9CBuilds=E2=80=9D table i=
nto two tables:
> =E2=80=9CBuilds=E2=80=9D and =E2=80=9CJobs=E2=80=9D.  Cl=C3=A9ment, does =
that make sense?

The 'job' word already has a meaning in Cuirass: it is the thing that is
returned from the evaluation.  For example, if Cuirass builds foo and
bar for x86_64 and i686, there will be exactly 4 jobs produced at each
evaluation :

 - foo.x86_64-linux=20=20=20=20=20
 - foo.i686-linux=20=20=20=20=20=20=20
 - bar.x86_64-linux=20=20=20=20=20
 - bar.i686-linux=20=20=20=20=20=20=20

(10 evaluations means 40 jobs produced, etc.)

(Most of them have a derivation file associated that already exists, so
they won't be added in the Build table.)

I don't think we should change that meaning because it will make
everything more difficult to understand.

But the Builds table looks like this:

CREATE TABLE Builds (
  derivation    TEXT NOT NULL PRIMARY KEY,
  evaluation    INTEGER NOT NULL,
  job_name      TEXT NOT NULL,
  system        TEXT NOT NULL,
  nix_name      TEXT NOT NULL,
  log           TEXT NOT NULL,
  status        INTEGER NOT NULL,
  timestamp     INTEGER NOT NULL,
  starttime     INTEGER NOT NULL,
  stoptime      INTEGER NOT NULL,
  FOREIGN KEY (evaluation) REFERENCES Evaluations (id)
);

We even have the 'system' column, so to me we have everything we need,
and we could display on one line all the builds that have the same
'nix_name' for a given evaluation.

Does it make sense?
Cl=C3=A9ment




Information forwarded to bug-guix@HIDDEN:
bug#32575; Package guix. Full text available.

Message received at 32575 <at> debbugs.gnu.org:


Received: (at 32575) by debbugs.gnu.org; 30 Aug 2018 12:14:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 30 08:14:23 2018
Received: from localhost ([127.0.0.1]:38009 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fvLqA-0003xi-NV
	for submit <at> debbugs.gnu.org; Thu, 30 Aug 2018 08:14:22 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45699)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1fvLq8-0003xV-5D
 for 32575 <at> debbugs.gnu.org; Thu, 30 Aug 2018 08:14:20 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1fvLq2-0001r9-2n
 for 32575 <at> debbugs.gnu.org; Thu, 30 Aug 2018 08:14:14 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:44942)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1fvLpx-0001oG-1K; Thu, 30 Aug 2018 08:14:09 -0400
Received: from [193.50.110.186] (port=42840 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1fvLpw-0003Bb-Pn; Thu, 30 Aug 2018 08:14:08 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: bug#32575: [Cuirass] Filter results by architecture
References: <87a7p5b7x3.fsf@HIDDEN>
 <20180830114135.3226977f@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 13 Fructidor an 226 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 30 Aug 2018 14:14:07 +0200
In-Reply-To: <20180830114135.3226977f@HIDDEN> (Danny Milosavljevic's
 message of "Thu, 30 Aug 2018 11:41:35 +0200")
Message-ID: <87efegxd9s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32575
Cc: Ricardo Wurmus <rekado@HIDDEN>, 32575 <at> debbugs.gnu.org,
 clement@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hi Danny & all,

Danny Milosavljevic <dannym@HIDDEN> skribis:

> I think that for a portable package, the architecture it runs on is
> an implementation detail - it should build on all of them.  If it doesn't,
> that should show up as an error.
>
> So I had
>
>   hello      [x86_64-checkbox-log] [armhf-checkbox-log] [aarch64-checkbox=
-log]
>
> and not
>
>   hello.x86_64 [checkbox-log]
>   hello.armhf [checkbox-log]
>   hello.aarch64 [checkbox-log]
>
> The latter looks more like these are different packages with different pu=
rposes -
> which they really aren't from a user standpoint.

The difficulty is that, from Cuirass=E2=80=99 viewpoint, =E2=80=9Chello.x86=
_64-linux=E2=80=9D
and =E2=80=9Chello.armhf-linux=E2=80=9D are just two different unrelated jo=
bs.

Perhaps what we would need is to internally change how jobs are
represented in the database: we could have one job, =E2=80=9Chello=E2=80=9D=
, connected
to one or more =E2=80=9Cbuilds=E2=80=9D, each with its own system.

I think it would amount to splitting the =E2=80=9CBuilds=E2=80=9D table int=
o two tables:
=E2=80=9CBuilds=E2=80=9D and =E2=80=9CJobs=E2=80=9D.  Cl=C3=A9ment, does th=
at make sense?

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#32575; Package guix. Full text available.

Message received at 32575 <at> debbugs.gnu.org:


Received: (at 32575) by debbugs.gnu.org; 30 Aug 2018 09:41:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 30 05:41:44 2018
Received: from localhost ([127.0.0.1]:37911 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fvJSS-0004Xw-JJ
	for submit <at> debbugs.gnu.org; Thu, 30 Aug 2018 05:41:44 -0400
Received: from dd26836.kasserver.com ([85.13.145.193]:57482)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1fvJSQ-0004Xl-0H
 for 32575 <at> debbugs.gnu.org; Thu, 30 Aug 2018 05:41:42 -0400
Received: from localhost (77.116.171.15.wireless.dyn.drei.com [77.116.171.15])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 619D73360458;
 Thu, 30 Aug 2018 11:41:40 +0200 (CEST)
Date: Thu, 30 Aug 2018 11:41:35 +0200
From: Danny Milosavljevic <dannym@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: bug#32575: [Cuirass] Filter results by architecture
Message-ID: <20180830114135.3226977f@HIDDEN>
In-Reply-To: <87a7p5b7x3.fsf@HIDDEN>
References: <87a7p5b7x3.fsf@HIDDEN>
X-Mailer: Claws Mail 3.16.0 (GTK+ 2.24.31; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/2_rap=0mFg/EgkvPqmmFk9q"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32575
Cc: 32575 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/2_rap=0mFg/EgkvPqmmFk9q
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Hi Ricardo,

On Wed, 29 Aug 2018 15:54:47 +0200
Ricardo Wurmus <rekado@HIDDEN> wrote:

> The Cuirass web interface shows the number of successful, failed, and
> pending builds for each evaluation.  Looking at just these numbers it is
> impossible to tell, how each of the supported architectures is affected.
>=20
> It would be good if we could separate the view by architecture.  Then we
> could more easily determine that a change broke many builds for one
> architecture while fixing builds on another.
>=20
> One way to do this would be to accept an optional query variable, e.g.
>=20
>     http://ci.guix.info/jobset/guix-master?system=3Dx86_64-linux
>=20
> This could be selected from a drop-down on the page or exposed through a
> number of links.

I agree.

Also, in the Javascript frontend I had a list of architecture links for eac=
h package.

The filter could be applied to show only a given set of architectures.

I think that for a portable package, the architecture it runs on is
an implementation detail - it should build on all of them.  If it doesn't,
that should show up as an error.

So I had

  hello      [x86_64-checkbox-log] [armhf-checkbox-log] [aarch64-checkbox-l=
og]

and not

  hello.x86_64 [checkbox-log]
  hello.armhf [checkbox-log]
  hello.aarch64 [checkbox-log]

The latter looks more like these are different packages with different purp=
oses -
which they really aren't from a user standpoint.

--Sig_/2_rap=0mFg/EgkvPqmmFk9q
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAluHu88ACgkQ5xo1VCww
uqUDggf/dGwlrLue5DFX1bMxEPFoMV2jdtCrHg8C3NwTEzPP8S7pMaTjpLlLgMCB
N++/J0ubPN0eqlXpkcDZvmM2SPH8udyWxXZH7poyhpZdgHCYcBb/NIl8Lp90M8gj
dRy2tlw/JvfUewUfPFa675HpNObDTs+D4+0v5eZMNWXZLIHxX18CtGkFSAHbEbrm
7Kovp05JcOcP8mnOIZlNYlTSBa9UIfQGZMLvWRjQaITxgW3WDCUJ7dnB4VqAk8FG
sgq/vFa2BPGbZ8bY/8VWB/7IwbjhPQDFTu1f0usWSULM/hDJDdWYW84PyZ7AcIc+
bolnT51hOOvSZoO0aFifgkIvo3oj+g==
=nq/T
-----END PGP SIGNATURE-----

--Sig_/2_rap=0mFg/EgkvPqmmFk9q--




Information forwarded to bug-guix@HIDDEN:
bug#32575; Package guix. Full text available.

Message received at 32575 <at> debbugs.gnu.org:


Received: (at 32575) by debbugs.gnu.org; 30 Aug 2018 05:56:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 30 01:56:45 2018
Received: from localhost ([127.0.0.1]:37811 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fvFwi-0007Z6-NK
	for submit <at> debbugs.gnu.org; Thu, 30 Aug 2018 01:56:45 -0400
Received: from mail-it0-f52.google.com ([209.85.214.52]:37230)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <boskovits@HIDDEN>) id 1fvFwh-0007Yu-3p
 for 32575 <at> debbugs.gnu.org; Thu, 30 Aug 2018 01:56:43 -0400
Received: by mail-it0-f52.google.com with SMTP id h20-v6so1093496itf.2
 for <32575 <at> debbugs.gnu.org>; Wed, 29 Aug 2018 22:56:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=1WhuOLHtdhfwNQbaEE35emCJFPWX7leZeMzuIE7fblE=;
 b=uhRTSbp72GIqEhMPGR+tjCA//NsptY/R8qWeRz1sEszZKYC0E8ByyX6ZDeINoUP5+8
 Op6jVbFqppY8JrGwrElDc0nBP6GitPmiu/0kHmzO2vEyQtKCpbvJYuBZzJMLhly0MALR
 iCKyvWcnOjUPmPfRnh8R48JCNfxe83h19uYJAh1RpcLI7AJhGeBtnwkHx6bvL4Hnfohs
 MZubkb6dQE7c+s/AAQwvmkcZYLG47s5ue9GcH35SSh5t95a7ToqTJW1EsSHcbG5jqK2O
 5XxCyeY2ilX59CKmdNRYj5YbVy3QUqsxfzQjKDx5wZPKPWGxSv5VNQ6YxFBA5VA1nmKt
 9WuA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=1WhuOLHtdhfwNQbaEE35emCJFPWX7leZeMzuIE7fblE=;
 b=UTVbUXetgbScaNY3uhGRHozaDwvyzx4N4sulnNJCzvFHbLthYsU9dW+BUnj41W0KqT
 +7YYhy8npCKi72wi9c9d+E+UiARZKWPKNW9XO6S3eQ0xELMyU1TVXmqCOJX0hyUsuNFF
 A1Leax91/5poH2mJuYtwdcoFxKe4/3/Xkry2sFVG+B77ZrFTq3m4q8iUFyZwxAZmVMMK
 gKp8eZZhQjUU1QsJ8W44mEGcMP2UI5GKWfnUVre//D4sLiRoAj3FUEVpxxbbXiYPHVzu
 Nb1eW9vxC711Hp2mGYYJxJ6JfrR+lB3OnKB/492OLiTo4Tkhva9fPudYPoqdg3EbgSLm
 6iYg==
X-Gm-Message-State: APzg51CsDpDTEfKhYeaekB0SgQmFi5BqmwzLSePP9SW6IxyPhQDorAuW
 SAl11QuUsvPDBLUrqSklI17F5XnZ4VxU06H8EQ==
X-Google-Smtp-Source: ANB0Vdbl537LJBRH2YrZfbSK0Ov4gUZTGFfFTKkfCmeZuLL5nfyKF+iIOGiEoyVVa6YOdh+OEHl3CBlDFPCLkIKd2Tc=
X-Received: by 2002:a24:280b:: with SMTP id h11-v6mr928068ith.7.1535608597348; 
 Wed, 29 Aug 2018 22:56:37 -0700 (PDT)
MIME-Version: 1.0
References: <87a7p5b7x3.fsf@HIDDEN> <877ek8dhkm.fsf@HIDDEN>
In-Reply-To: <877ek8dhkm.fsf@HIDDEN>
From: =?UTF-8?Q?G=C3=A1bor_Boskovits?= <boskovits@HIDDEN>
Date: Thu, 30 Aug 2018 07:56:26 +0200
Message-ID: <CAE4v=pgmEZvYFcKoNpucpcB8iJu+FrM+983Tth4YPyCKcHxNMA@HIDDEN>
Subject: Re: bug#32575: [Cuirass] Filter results by architecture
To: Joshua Branson <jbranso@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000f5887b0574a0bc6f"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32575
Cc: 32575 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000f5887b0574a0bc6f
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Joshua Branson <jbranso@HIDDEN> ezt =C3=ADrta (id=C5=91pont: 2018. au=
g. 29.,
Sze, 22:41):

> Ricardo Wurmus <rekado@HIDDEN> writes:
>
> > The Cuirass web interface shows the number of successful, failed, and
> > pending builds for each evaluation.  Looking at just these numbers it i=
s
> > impossible to tell, how each of the supported architectures is affected=
.
> >
> > It would be good if we could separate the view by architecture.  Then w=
e
> > could more easily determine that a change broke many builds for one
> > architecture while fixing builds on another.
> >
> > One way to do this would be to accept an optional query variable, e.g.
> >
> >     http://ci.guix.info/jobset/guix-master?system=3Dx86_64-linux
>
> That is an option.  Another one is using a REST API.  It seems to have
> all the hype these days.  So the URL would turn into:
>
>      http://ci.guix.info/jobset/guix-master/system/x86_64-linux
>
> Though I freely admit, I don't completely understand the benefits of REST=
.
>
> Actually there are some more options to do this, but I think this should
go with
a more generic filtering/sorting capability, using a uniform
implementation. I
noticed this in a writeup before, Ludo asked me to turn that to a TODO on
the Cuirass repository, and I will do that once back from vacation.

> >
> > This could be selected from a drop-down on the page or exposed through =
a
> > number of links.
> >
> > --
> > Ricardo
>
>
>
>

--000000000000f5887b0574a0bc6f
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_quote"><div dir=3D"ltr">Joshua Branson=
 &lt;<a href=3D"mailto:jbranso@HIDDEN">jbranso@HIDDEN</a>&gt; e=
zt =C3=ADrta (id=C5=91pont: 2018. aug. 29., Sze, 22:41):<br></div><blockquo=
te class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc so=
lid;padding-left:1ex">Ricardo Wurmus &lt;<a href=3D"mailto:rekado@HIDDEN=
et" target=3D"_blank">rekado@HIDDEN</a>&gt; writes:<br>
<br>
&gt; The Cuirass web interface shows the number of successful, failed, and<=
br>
&gt; pending builds for each evaluation.=C2=A0 Looking at just these number=
s it is<br>
&gt; impossible to tell, how each of the supported architectures is affecte=
d.<br>
&gt;<br>
&gt; It would be good if we could separate the view by architecture.=C2=A0 =
Then we<br>
&gt; could more easily determine that a change broke many builds for one<br=
>
&gt; architecture while fixing builds on another.<br>
&gt;<br>
&gt; One way to do this would be to accept an optional query variable, e.g.=
<br>
&gt;<br>
&gt;=C2=A0 =C2=A0 =C2=A0<a href=3D"http://ci.guix.info/jobset/guix-master?s=
ystem=3Dx86_64-linux" rel=3D"noreferrer" target=3D"_blank">http://ci.guix.i=
nfo/jobset/guix-master?system=3Dx86_64-linux</a><br>
<br>
That is an option.=C2=A0 Another one is using a REST API.=C2=A0 It seems to=
 have<br>
all the hype these days.=C2=A0 So the URL would turn into:<br>
<br>
=C2=A0 =C2=A0 =C2=A0<a href=3D"http://ci.guix.info/jobset/guix-master/syste=
m/x86_64-linux" rel=3D"noreferrer" target=3D"_blank">http://ci.guix.info/jo=
bset/guix-master/system/x86_64-linux</a><br>
<br>
Though I freely admit, I don&#39;t completely understand the benefits of RE=
ST.<br>
<br></blockquote><div>Actually there are some more options to do this, but =
I think this should go with</div><div>a more generic filtering/sorting capa=
bility, using a uniform implementation. I</div><div>noticed this in a write=
up before, Ludo asked me to turn that to a TODO on</div><div>the Cuirass re=
pository, and I will do that once back from vacation.=C2=A0</div><blockquot=
e class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc sol=
id;padding-left:1ex">
&gt;<br>
&gt; This could be selected from a drop-down on the page or exposed through=
 a<br>
&gt; number of links.<br>
&gt;<br>
&gt; --<br>
&gt; Ricardo<br>
<br>
<br>
<br>
</blockquote></div></div>

--000000000000f5887b0574a0bc6f--




Information forwarded to bug-guix@HIDDEN:
bug#32575; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Aug 2018 20:40:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 29 16:40:36 2018
Received: from localhost ([127.0.0.1]:37470 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fv7GW-0002XH-7A
	for submit <at> debbugs.gnu.org; Wed, 29 Aug 2018 16:40:36 -0400
Received: from eggs.gnu.org ([208.118.235.92]:32978)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jbranso@HIDDEN>) id 1fv7GV-0002X4-0k
 for submit <at> debbugs.gnu.org; Wed, 29 Aug 2018 16:40:35 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jbranso@HIDDEN>) id 1fv7GL-0000le-2a
 for submit <at> debbugs.gnu.org; Wed, 29 Aug 2018 16:40:29 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.7 required=5.0 tests=BAYES_20,FREEMAIL_FROM,
 RCVD_IN_DNSWL_LOW,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:57652)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jbranso@HIDDEN>)
 id 1fv7GK-0000ko-O7
 for submit <at> debbugs.gnu.org; Wed, 29 Aug 2018 16:40:24 -0400
Received: from eggs.gnu.org ([208.118.235.92]:35966)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jbranso@HIDDEN>) id 1fv7GH-0005ya-4Q
 for bug-guix@HIDDEN; Wed, 29 Aug 2018 16:40:24 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jbranso@HIDDEN>) id 1fv7Di-0006xx-PT
 for bug-guix@HIDDEN; Wed, 29 Aug 2018 16:37:45 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:49287)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jbranso@HIDDEN>)
 id 1fv7Di-0006wy-DN
 for bug-guix@HIDDEN; Wed, 29 Aug 2018 16:37:42 -0400
Received: from compute6.internal (compute6.nyi.internal [10.202.2.46])
 by mailout.nyi.internal (Postfix) with ESMTP id EAF2A2082E
 for <bug-guix@HIDDEN>; Wed, 29 Aug 2018 16:37:39 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute6.internal (MEProxy); Wed, 29 Aug 2018 16:37:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 content-type:date:from:in-reply-to:message-id:mime-version
 :references:subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm3; bh=TvliHx8c3rwlihpZXBsoFrf1IUZuDtsnj1OQ5TCkou4=; b=Fq8fs1iy
 /oTdSz14RU8vB1aTOMVQcPNo+SM3iRN8M6ZSYhk5d42IryXeqZf4Rd8Tsthz52Tj
 I/VPVjiJ6EA6c1igJ9Rmx0sLkimIFnAMyh+8FN7EgPpdaW8/uNIyyKZv+vOOpuXx
 zu1SqQPDVfYCKYLvwPZ1Fzm4jTDJGv0PiV7Cv/XdSAMSFXk+MiiEK9tPl4kEIlQY
 KyB3mvppPV/VAs6ZwmnuNw7w1w7hECR+ibSwxCA6dcaE1Y7AQusPLn9pEzh4L6Bu
 SAQO7EBmu3RqJxe3ZD8FCsx+ZWPFHeZQ6qOiY27Ko0t9ztnobtmIvYXk8UO+xGj/
 F1pDu42fnHzN9w==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm3; bh=TvliHx8c3rwlihpZXBsoFrf1IUZuD
 tsnj1OQ5TCkou4=; b=uJ3RuZ0gmhlRMtXMNx48rmiJbdSwXb+FBzobW5CgB6DcO
 qGg92qLxbQM6H7+yuXg6umkWYm0YkmGD2pV9RaDYP2lW6QhXoK1/lsT3IVNlMxuh
 7u96q5ZTnAQhALHNgWDnJbr39huXxMwaYsQSS5i7nS1rh36ukWlFCbmZnr3B7Bqh
 e5PzkB5E4SJ0PGSqNqYtSAHPNgOEPEKR2Eg0Mqlx4xVSJW89pkfMp4IYZPDBaXzc
 s5cdwUenYEHvtXakllTS+kaUa22ibxrRSiN40ALM2Kw8NUXH9GF3vgKmYzEEhYsJ
 2U0yEYZ+sQjHt9/dUc79Rj5BnQ1Ttfd9qcyu1F0ZA==
X-ME-Proxy: <xmx:EwSHWxdG2b5QCEtwx689w6n1LaIPBTSxxh7ONL8la7LSbTNm26VlSg>
 <xmx:EwSHW0J48U4sq6C4oWGz24iUNluCEee1x2Qk6e_dqxeAsfmFv_QdOg>
 <xmx:EwSHW1TDrKyQkkYwbHZMBZHHS-86XaK936uMNAPCJWVssCU7sKn13A>
 <xmx:EwSHW1powlD7bE70GRUnRWT9crDOIf0rfxn8mddwR9Zt2vJZy7ypFQ>
 <xmx:EwSHW8fuMn63s2ZSStBrS-13kwEexzENyeDORwHhv6lxQEsp-ymffw>
 <xmx:EwSHW6ssReN0uFZ1zsoc4dZRSyt-OR7k2CPs3BaShsxeCWP3mCV6gw>
X-ME-Sender: <xms:EwSHW9u8RNbIZviikIDUdPMDxLmipSTMeFl08_d2Tez2zCU0kf3NCg>
Received: from dobby (unknown [72.12.220.132])
 by mail.messagingengine.com (Postfix) with ESMTPA id 7A8D210288
 for <bug-guix@HIDDEN>; Wed, 29 Aug 2018 16:37:39 -0400 (EDT)
From: Joshua Branson <jbranso@HIDDEN>
To: bug-guix@HIDDEN
Subject: Re: bug#32575: [Cuirass] Filter results by architecture
References: <87a7p5b7x3.fsf@HIDDEN>
Date: Wed, 29 Aug 2018 16:49:13 -0400
In-Reply-To: <87a7p5b7x3.fsf@HIDDEN> (Ricardo Wurmus's message of "Wed,
 29 Aug 2018 15:54:47 +0200")
Message-ID: <877ek8dhkm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.3 (-----)

Ricardo Wurmus <rekado@HIDDEN> writes:

> The Cuirass web interface shows the number of successful, failed, and
> pending builds for each evaluation.  Looking at just these numbers it is
> impossible to tell, how each of the supported architectures is affected.
>
> It would be good if we could separate the view by architecture.  Then we
> could more easily determine that a change broke many builds for one
> architecture while fixing builds on another.
>
> One way to do this would be to accept an optional query variable, e.g.
>
>     http://ci.guix.info/jobset/guix-master?system=x86_64-linux

That is an option.  Another one is using a REST API.  It seems to have
all the hype these days.  So the URL would turn into:

     http://ci.guix.info/jobset/guix-master/system/x86_64-linux

Though I freely admit, I don't completely understand the benefits of REST.

>
> This could be selected from a drop-down on the page or exposed through a
> number of links.
>
> --
> Ricardo




Information forwarded to bug-guix@HIDDEN:
bug#32575; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Aug 2018 13:55:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 29 09:55:07 2018
Received: from localhost ([127.0.0.1]:36535 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fv0w7-0003VE-3H
	for submit <at> debbugs.gnu.org; Wed, 29 Aug 2018 09:55:07 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33252)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1fv0w6-0003Tv-20
 for submit <at> debbugs.gnu.org; Wed, 29 Aug 2018 09:55:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rekado@HIDDEN>) id 1fv0w0-0006UY-6B
 for submit <at> debbugs.gnu.org; Wed, 29 Aug 2018 09:55:00 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:53341)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <rekado@HIDDEN>) id 1fv0w0-0006UN-1k
 for submit <at> debbugs.gnu.org; Wed, 29 Aug 2018 09:55:00 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:54230)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rekado@HIDDEN>) id 1fv0vz-0006AM-4h
 for bug-guix@HIDDEN; Wed, 29 Aug 2018 09:54:59 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rekado@HIDDEN>) id 1fv0vv-0006T2-Vf
 for bug-guix@HIDDEN; Wed, 29 Aug 2018 09:54:59 -0400
Received: from sender-of-o51.zoho.com ([135.84.80.216]:21149)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <rekado@HIDDEN>) id 1fv0vv-0006Rk-JJ
 for bug-guix@HIDDEN; Wed, 29 Aug 2018 09:54:55 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1535550891; cv=none; d=zoho.com; s=zohoarc; 
 b=N9+l2twLFkK/3i6XpwQTMslfYmUqR4sYMv4ZlcxrimrA7fPzs3SoeIQwrtlr/o8feBo/YmkpmdND6ueqkbGH+vnqvW9N2uD8hv6I/5bHgurXEVLMh4Yls44Y7/HErLxRhXThHF/GifhTFIFTfIU6L+juBJMmSzrOHG30h21JPd8=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1535550891;
 h=Content-Type:Date:From:MIME-Version:Message-ID:Subject:To:ARC-Authentication-Results;
 bh=6Dvf3dUQaffnbM9Y/iXIy36UHZiizYgANgC0X/w5RMU=; 
 b=CCfoCNWeC7XSPG6Q5XJSpLjWjMxZWAL54WZS1r0lPl8mbxnmnV2an7Bb+z/jaT698oupGZsxYlZIVwV7KWtpBJxmPDgbmev8qvTgD3dMaOzkCahAhCC+rjnCC5RuxYa0SNSss6U9k7Kez2OPji6+xWLvZ9s4P+76NkBaLvqqkNQ=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1535550891; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=From:To:Subject:Message-ID:Date:MIME-Version:Content-Type; l=654;
 bh=6Dvf3dUQaffnbM9Y/iXIy36UHZiizYgANgC0X/w5RMU=;
 b=NwJe0An9zkKCcokg9bFygPoouOAFKPfrWK1nQ9n00L9w8r16N43zcZ9/8TV4hoN3
 hG2SlsFIE0FGFYKE+6ObHq1eG1Znst2nr1gXDNIJhQ0DI2ovi5V9H9zDpJYyVjL2EPp
 J5yK21YypLClObzcR6DMjugLLn97tsAfKazLqHoo=
Received: from localhost (141.80.245.135 [141.80.245.135]) by mx.zohomail.com
 with SMTPS id 1535550890474513.8802059539094;
 Wed, 29 Aug 2018 06:54:50 -0700 (PDT)
User-agent: mu4e 1.0; emacs 26.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: bug-guix@HIDDEN
Subject: [Cuirass] Filter results by architecture
Message-ID: <87a7p5b7x3.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Wed, 29 Aug 2018 15:54:47 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-ZohoMailClient: External
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

The Cuirass web interface shows the number of successful, failed, and
pending builds for each evaluation.  Looking at just these numbers it is
impossible to tell, how each of the supported architectures is affected.

It would be good if we could separate the view by architecture.  Then we
could more easily determine that a change broke many builds for one
architecture while fixing builds on another.

One way to do this would be to accept an optional query variable, e.g.

    http://ci.guix.info/jobset/guix-master?system=x86_64-linux

This could be selected from a drop-down on the page or exposed through a
number of links.

--
Ricardo





Acknowledgement sent to Ricardo Wurmus <rekado@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#32575; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.